xmp (4.2.0-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:05:44 +0000

xmp (4.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 25 Jun 2023 15:15:49 +0200

xmp (4.1.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libxmp-dev.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

  [ Stephen Kitt ]
  * Bump debian/watch to version 4, switch to secure URL.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Jan 2023 22:57:15 +0100

xmp (4.1.0-3) unstable; urgency=low

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.

  [ Stephen Kitt ]
  * Record that spelling-fixes.patch has been forwarded upstream.
  * Fix the email addresses in the changelog.
  * Set “Rules-Requires-Root: no”.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.
  * Fix the apostrophes in the man page.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Oct 2020 21:38:06 +0200

xmp (4.1.0-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Update debian/copyright.
  * Switch to debhelper compatibility level 11.
  * Change priority to “optional”.
  * Fix a spelling mistake in the manpage (thanks Lintian).
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 May 2018 19:43:11 +0200

xmp (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Jul 2016 12:42:23 +0200

xmp (4.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Standards-Version 3.9.7, no change required (but clean up
    debian/control using cme).
  * Enable all hardening options.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 22:52:31 +0100

xmp (4.0.10-2) unstable; urgency=medium

  * Add license information for src/sound_aiff.c.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 May 2015 00:41:12 +0200

xmp (4.0.10-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 01 Dec 2014 23:54:24 +0100

xmp (4.0.9-1) unstable; urgency=medium

  * New upstream version, requiring libxmp 4.3 or later.

 -- Stephen Kitt <skitt@debian.org>  Mon, 29 Sep 2014 00:22:23 +0200

xmp (4.0.8-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Mon, 04 Aug 2014 23:57:39 +0200

xmp (4.0.7-1) unstable; urgency=medium

  * New upstream version.
  * Drop manpage-hyphens.patch, merged upstream.
  * Switch to dh-autoreconf (the upstream package is built with automake
    1.13 and requires that, so autotools_dev no longer works).
  * Add packaging repository information.
  * Switch to machine-readable format for debian/copyright.
  * Change priority to extra to match overrides.

 -- Stephen Kitt <skitt@debian.org>  Wed, 05 Mar 2014 07:53:06 +0100

xmp (4.0.6-1) unstable; urgency=low

  * New maintainer (closes: #691840).
  * New upstream version, based on libxmp (closes: #717855):
    - supports ALSA output (closes: #636862);
    - splits the audacious plugin into a separate project, so remove
      xmp-audacious and xmp-common;
    - supports LHA archives using a build-in decompressor in libxmp
      (closes: #697629);
    - displays total duration and elapsed time (closes: #191109).
  * Standards-Version 3.9.5, no change required.
  * Patch the manpage to fix hyphens used as minus signs.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Dec 2013 23:21:37 +0100

xmp (3.4.0-3) unstable; urgency=low

  * QA upload.
  * Add CVE-2013-1980.patch patch.
    CVE-2013-1980: fix MASI parsing buffer overflow. (Closes: #706667)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 May 2013 08:51:40 +0200

xmp (3.4.0-2) unstable; urgency=low

  * QA upload.
  * Enable PulseAudio support (Closes: #650876).
  * debian/patches/audacious-3.3.patch:
    - Fix FTBFS with audacious 3.3 (Closes: #707424, LP: #1076497)
  * debian/patches/fix-audacious-xmp-plugin.patch:
    - Fix crash in audacious xmp plugin. Patch by Lem (~lem-jjr). (LP: #1066868)
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to short-form debhelper 9.

 -- Benjamin Drung <bdrung@debian.org>  Sun, 12 May 2013 16:34:17 +0200

xmp (3.4.0-1.1) unstable; urgency=low

  * NMU upload.
  * debian/patches/audacious-3.1.patch:
    - Fix FTBFS with Audacious 3.2. (Closes: #657592)
  * debian/xmp-audacious.install:
    - Cope with audacious being built for multiarch. Thanks to
      Colin Watson for sending a fix!

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 21 Apr 2012 15:50:30 +0200

xmp (3.4.0-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.2.
  * Switch to dpkg-source format version 3.0 (quilt).
  * Drop article from descriptions.
  * Update build-depends. (Closes: #634743)
  * debian/control: Drop conflicts.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 11 Aug 2011 10:02:29 +0200

xmp (3.3.0-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright: updated years.
  * Bump standards version to 3.9.1.
  * Bump debhelper version to 8.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 02 Dec 2010 15:19:42 +0100

xmp (3.2.0-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #586565)
  * debian/control
    - set "Standards-Version: 3.8.4"
    - Update Build-Depends from "audacious-plugins-dev" to "audacious-dev"
     (Closes: #583984)
    - add "Depends: ${misc:Depends}" to each package

 -- Hideki Yamane <henrich@debian.org>  Tue, 29 Jun 2010 00:06:50 +0900

xmp (3.0.0+20090923-1) unstable; urgency=low

  * New upstream version.
  * Drop support for Arts and ESD and NAS, because
    they are obsoleted.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 23 Sep 2009 15:18:20 +0200

xmp (2.7.1-2) unstable; urgency=low

  * Fix manpage. (Closes: #542200)
  * Fix ./configure. (Closes: #541799)
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 19 Aug 2009 23:06:11 +0200

xmp (2.7.1-1) unstable; urgency=low

  * New upstream version. (Closes: #483389, #442147)
  * Updated debian/copyright.
  * Don't build xmp-x11 anymore since it won't exist anymore.
  * debian/control: recommend unmo3.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 21 Jul 2009 09:19:14 +0200

xmp (2.6.1-1) unstable; urgency=low

  * New upstream version.
  * Update my email address.
  * Bump debhelper version.
  * Bump standards version.
  * Updated debian/copyright.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 29 Jun 2009 22:20:49 +0200

xmp (2.5.1-1) unstable; urgency=low

  * New upstream version.
  * Build audacious plugin. (Closes: #454630)
  * Add myself to Uploaders: after discussing with Gürkan.
  * Fix XMP plugin behaviour when built against Audacious 1.4 or later.
  * Remove XMMS plugin since XMMS is pending removal in Lenny.
  * Remove "shared" debian/copyright and debian/changelog insanity.
  * Majorly rework debian/rules to bring it in line with current standards and
    policy.
  * Fix FTBFS on Debian/kFreeBSD.
  * Fix watch file. (Closes: #453558)

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Sat, 08 Dec 2007 18:45:32 -0600

xmp (2.5.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Priority optional, updated standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 28 Nov 2007 11:08:48 +0100

xmp (2.5.0-pre2-1) experimental; urgency=low

  * New upstream version.
  * debian/control: Added libpulse-dev to build-depends.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 12 Nov 2007 14:24:24 +0100

xmp (2.4.1-1) unstable; urgency=low

  * New upstream version. (Closes: #448587)
  * New maintainer.
  * Cleaned up debian/rules.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 04 Nov 2007 23:16:11 +0100

xmp (2.3.2-1) unstable; urgency=low

  * QA upload.
  * New upstream version.
  * Typo in manpage fixed by upstream (closes: #442147).
  * Problems with impulse tracker mods seem also be fixed now
    (closes: #356204).
  * Add --enable-nas, --enable-arts to configure flags.
  * Remove libxmp2, xmp-alsa, and xmp-esd packages, since dynamic compilation
    of drivers is no longer supported.
  * X11 version was also dropped, made xmp-x11 dummy package depending on xmp.
  * Change architecture of xmp-common and xmp-x11 to all.
  * Move homepage URL from packages' descripions to its own fields.
  * Switch to ${binary:Version} instead of ${Source-Version}.

 -- Robert Luberda <robert@debian.org>  Sun, 21 Oct 2007 17:05:36 +0200

xmp (2.0.4d-12) unstable; urgency=low

  * Orphaning package, set maintainer to Debian QA Group.
  * Update config.{guess,sub}.
  * Turn /usr/share/doc/libxmp2 symlink into a regular directory.
  * Drop libxmp2 dependancy on xmp-common (closes: #355408).
  * Remove outdated xmp.preinst.
  * Standards-Version: 3.7.2.

 -- Robert Luberda <robert@debian.org>  Wed, 18 Apr 2007 22:03:31 +0200

xmp (2.0.4d-11) unstable; urgency=low

  * Add libxt-dev to build-dependencies to fix FTBFS.
  * Update config.{guess,sub}.

 -- Robert Luberda <robert@debian.org>  Sun, 18 Dec 2005 22:27:33 +0100

xmp (2.0.4d-10) unstable; urgency=low

  * Remove xlibs-dev build-dependency, use libxext-dev, libx11-dev instead.
  * Update FSF address in the copyright file (lintian).
  * Switch to debhelper v5.
  * Standards-Version: 3.6.2 (no changes).
  * Update debian/watch file, use qa.debian.org/watch/sf.php for the upstream
    site.

 -- Robert Luberda <robert@debian.org>  Sun, 18 Dec 2005 14:42:38 +0100

xmp (2.0.4d-9) unstable; urgency=low

  * Fix FTBFS on amd64 with gcc-4.0 (closes: #297307).
  * Updated alsa driver from the upstream CVS repository.
  * Fix minor typo in the description.

 -- Robert Luberda <robert@debian.org>  Thu, 10 Mar 2005 22:52:10 +0100

xmp (2.0.4d-8) unstable; urgency=low

  * Update alsa support for alsa 1.0.

 -- Robert Luberda <robert@debian.org>  Thu, 24 Feb 2005 22:00:07 +0100

xmp (2.0.4d-7) unstable; urgency=low

  * Fix FTBFS with gcc-3.4 (closes: #259940).
  * xmp and xmp-x11 packages suggest lha (closes: #221469).
  * Stricter dependencies of xmp-common (lintian).
  * Add debian/watch file.

 -- Robert Luberda <robert@debian.org>  Mon,  2 Aug 2004 18:15:50 +0200

xmp (2.0.4d-6) unstable; urgency=low

  * Fix binary packages' descriptions (closes: #210045, #210069).
    Thanks to Marek Habersack <grendel@debian.org> for the patch.
  * Add homepage link to descriptions.
  * Standards-Version: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 13 Oct 2003 19:43:34 +0200

xmp (2.0.4d-5) unstable; urgency=low

  * loaders/it_load.c, xmms/plugin.c: Fix gcc-3.3 build failure
    (closes: #196540).
  * Link all plugin files with libxmp and libc6 (lintian):
    + rename _init() to _xmp_init() to avoid conflict with libc6 _init.
  * Fix Makefiles.
  * Updated config.{guess,sub}.
  * Standards-Version: 3.5.10 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 11 Jun 2003 08:21:09 +0200

xmp (2.0.4d-4) unstable; urgency=low

  * Rebuilt with libasound2-dev (closes: #185590):
    + configure.in, alsa-mix.c: Applied ALSA 0.9.0 patch from Jon Daniel,
      found on xmp-devel mailing list at SourceForge.
  * Fix synopsis of xmp-xmms package (lintian).
  * debian/rules: Handle DEB_BUILD_OPTIONS=noopt instead of debug.
  * debian/rules: List binary-common in .PHONY target.
  * Standards-Version: 3.5.9.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Mar 2003 21:18:56 +0100

xmp (2.0.4d-3) unstable; urgency=low

  * Added missing #include <time.h> to src/main/main.c and src/misc/control.c
    (closes: #156147)

 -- Robert Luberda <robert@debian.org>  Sat, 17 Aug 2002 20:51:24 +0200

xmp (2.0.4d-2) unstable; urgency=low

  * Ooops, etc/xmp* files weren't installed.
  * Compile shared libs with -fPIC.

 -- Robert Luberda <robert@debian.org>  Mon, 24 Jun 2002 23:16:02 +0200

xmp (2.0.4d-1) unstable; urgency=low

  * New maintainer (closes: #123516).
  * New upstream version (closes: #27570):
    + The source package was generated by running `make dist-dfsg' in the
      original upstream source tree (thus the letter `d' in the version
      number) to get rid of not DFSG-free sources.
    + New binary packages: libxmp2, xmp-common, xmp-x11, xmp-xmms, xmp-esd,
      xmp-alsa.
    + Does not segfault on tbo_atb.xm file (closes: #52798).
    + No longer includes xml.html and FAQ.html documentation files,
      so remove doc-base and dwww support (closes: #149546).

  * esd.c, alsa_mix.c: added missing XMP_DRV_REGISTER line.
  * drivers.c: fix problem with loading drivers when XMP_LIB_PATH environment
    variable is unset.
  * configure.h: don't link xmp and xxmp against libasound1 if we use dynamic
    drivers.
  * Fixed some other linking problems.
  * Update config.{guess,sub} and install.sh files.
  * Removed xmp-view wrapper. Added `test -[zn] "$DISPLAY"' lines into mime
    files instead (closes: #39465).
  * Repackaged with debhelper v4.
  * Standards-Version: 3.5.6
  * Added support for DEB_BUILD_OPTIONS.

 -- Robert Luberda <robert@debian.org>  Mon, 17 Jun 2002 07:44:08 +0200

xmp (1.1.3-1.3) unstable; urgency=low

  * Set maintainer to Debian QA Group <packages@qa.debian.org>.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Sun, 30 Dec 2001 18:50:22 -0800

xmp (1.1.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/preinst: Make sure /usr/doc/xmp/.dhelp is gone (closes: #107238).
  * debian/rules: Only run 'make install' in the src directory, as rules in
    the other directories try to write into the real filesystem.

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Nov 2001 13:28:05 +0000

xmp (1.1.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated to policy version 3.1.1 and added build dependencies.
  * FHS transition (closes: #91096, #91708).
  * Converted to update-mime, via dh_installmime (closes: #74486, #81341).
  * Let dh_installdocs do the doc-base handling.
  * Removed call to obsolete dh_suidregister.
  * Removed add-log-mailing-address from this changelog (~/.emacs is
    preferred).
  * The clean target didn't work for me, so fixed it.
  * Updated GPL pointer in copyright file.
  * Removed package name from short description (lintian).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 May 2001 13:28:48 +0100

xmp (1.1.3-1) unstable; urgency=low

  * New release.
  * Now uses debhelper.
  * Added MIME handling.
  * Add doc-base support.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Sun,  8 Mar 1998 12:05:47 +0000

xmp (1.1.0-1) unstable; urgency=low

  * New release.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Thu,  1 Jan 1998 10:49:46 +0000

xmp (1.1.0dev28-1) unstable; urgency=low

  * New release.
  * Compiled for libc6.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Fri, 12 Dec 1997 17:19:10 +0000
